/*
	Standard Input Structure
*/

#ifndef DEF_STANDARD_INPUT_DATA__
#define DEF_STANDARD_INPUT_DATA__

typedef struct InputS
{
	char sps;		//Standard Proximity Switch.(none, single, double)
	int16_t dbgi;		//Delay before gap indicaion.(seconds)
	char btntoggle;		//Enable toggle button input.(enable, disable)
	char btnnorrev;		//Enable normal/reverse input.(enable, disable)
	char pressure;		//Pressure Switch output.(closed, open)
	char distimern;		//Standard input "disable timer" for normal button.(enable, disable)
	char distimerr;		//Standard input "disable timer" for reverse button.(enable, disable)
	char distimert;		//Standard input "disable timer" for toggle button.(enable, disable)
	int16_t distime;		//Disable time for disable timer.(seconds)
	char disthrowm;		//Throw disable, manual lockout device.(enable, disable)
	int16_t disthrowmt;	//Disable time for manual throw disable.(seconds)
	char disthrowd;		//Throw disable, detect device.(enable, disable)
	int16_t disthrowdt;	//Disable time for detected throw disable.(seconds)
}INPUT_STANDARD_DATA;
#endif

